com.sleepycat.util

## Class IOExceptionWrapper

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.sleepycat.util.IOExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

    public class IOExceptionWrapper
    extends java.io.IOException
    implements ExceptionWrapper

An IOException that can contain nested exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IOExceptionWrapper(java.lang.Throwable e)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Returns the nested exception or null if none is present.
`java.lang.Throwable` `getDetail()` Deprecated. replaced by `getCause()`.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IOExceptionWrapper

    public IOExceptionWrapper(java.lang.Throwable e)

### Method Detail

#### getDetail

    public java.lang.Throwable getDetail()

Deprecated. replaced by `getCause()`.
Description copied from interface: `ExceptionWrapper`
Returns the nested exception or null if none is present.

Specified by:
  `getDetail` in interface `ExceptionWrapper`
Returns:
  the nested exception or null if none is present.

#### getCause

    public java.lang.Throwable getCause()

Description copied from interface: `ExceptionWrapper`
Returns the nested exception or null if none is present.

This method is intentionally defined to be the same signature as the `java.lang.Throwable.getCause` method in Java 1.4 and greater. By defining this method to return a nested exception, the Java 1.4 runtime will print the nested stack trace.

Specified by:
  `getCause` in interface `ExceptionWrapper`
Overrides:
  `getCause` in class `java.lang.Throwable`
Returns:
  the nested exception or null if none is present.